Bug 1145700 - gstreamer1 chromaprint plugin missing
Summary: gstreamer1 chromaprint plugin missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer1-plugins-bad-free
Version: 23
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-23 14:26 UTC by Matias De lellis
Modified: 2016-02-21 16:25 UTC (History)
3 users (show)

Fixed In Version: gstreamer1-plugins-bad-free-1.6.3-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-21 13:00:28 UTC


Attachments (Terms of Use)
Pach needed to compile chromaprint on gstreamer1 (1.24 KB, patch)
2014-09-23 14:38 UTC, Matias De lellis
no flags Details | Diff
Diff to SPEC file to add chromaprint plugin (1.79 KB, patch)
2015-09-30 13:52 UTC, Matias De lellis
no flags Details | Diff

Description Matias De lellis 2014-09-23 14:26:06 UTC
Description of problem:
chromaprint plugin was never compiled into gstreamer1 (In gstreamer 0.10 is compiled). This plugin only depend on libchromaprint-devel that are present in fedora repo.

Version-Release number of selected component (if applicable):
gstreamer1-plugins-bad-free > 1.0.0

How reproducible:

Steps to Reproduce:
1. ls /usr/lib64/gstreamer-1.0/
2. # look for plugins

Actual results:
Mising libgstchromaprint.so

Expected results:
Meet the plugin libgstchromaprint.so

Additional info:
In Pragha music player 1.3.1 is needed to find the tags in the acousticid service.

Comment 1 Matias De lellis 2014-09-23 14:38:12 UTC
Created attachment 940473 [details]
Pach needed to compile chromaprint on gstreamer1

Sorry, not sure if it is the way to propose changes in SPEC files, but I try to help.

Comment 2 Fedora End Of Life 2015-05-29 12:56:59 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Matias De lellis 2015-09-30 13:52:33 UTC
Created attachment 1078657 [details]
Diff to SPEC file to add chromaprint plugin

Add chromaprint plugin to last SPEC file on F23.

Comment 4 Matias De lellis 2015-09-30 14:09:36 UTC
Hi,
Only comment that the chromaprint plugin now is more necessary since Pragha 1.3.3 is instaled by default on F23 Xfce spin.

Also insist that there is no problem of license. Was removed in the transition from 0.10 to 1.0.. Maybe for some compile error in testing packages.

Finally the package is compiled into a copr repository where I maintain Pragha updates, and successfully tested.

 * https://copr.fedoraproject.org/coprs/matias/Pragha-updated

Regards,
Matias.

Comment 5 Fedora Update System 2016-02-16 12:22:23 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9306bdfd4a

Comment 6 Fedora Update System 2016-02-17 06:27:47 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9306bdfd4a

Comment 7 Matias De lellis 2016-02-20 13:40:36 UTC
Sorry spam, but I no have bodhi acount to add feedback.
The changes are correct and working well.
Just thank you!

Comment 8 Fedora Update System 2016-02-21 13:00:23 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-02-21 16:19:48 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-02-21 16:25:43 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.